<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>User.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.domain</a> &gt; <span class="el_source">User.java</span></div><h1>User.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.domain;

import com.theo.myjhipster.config.Constants;

import com.fasterxml.jackson.annotation.JsonIgnore;
import org.apache.commons.lang3.StringUtils;
import org.hibernate.annotations.BatchSize;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;
import javax.validation.constraints.Email;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.HashSet;
import java.util.Locale;
import java.util.Objects;
import java.util.Set;
import java.time.Instant;

/**
 * A user.
 */
@Entity
@Table(name = &quot;jhi_user&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L29">public class User extends AbstractAuditingEntity implements Serializable {</span>

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = &quot;sequenceGenerator&quot;)
    @SequenceGenerator(name = &quot;sequenceGenerator&quot;)
    private Long id;

    @NotNull
    @Pattern(regexp = Constants.LOGIN_REGEX)
    @Size(min = 1, max = 50)
    @Column(length = 50, unique = true, nullable = false)
    private String login;

    @JsonIgnore
    @NotNull
    @Size(min = 60, max = 60)
    @Column(name = &quot;password_hash&quot;, length = 60, nullable = false)
    private String password;

    @Size(max = 50)
    @Column(name = &quot;first_name&quot;, length = 50)
    private String firstName;

    @Size(max = 50)
    @Column(name = &quot;last_name&quot;, length = 50)
    private String lastName;

    @Email
    @Size(min = 5, max = 254)
    @Column(length = 254, unique = true)
    private String email;

<span class="fc" id="L63">    @NotNull</span>
    @Column(nullable = false)
    private boolean activated = false;

    @Size(min = 2, max = 6)
    @Column(name = &quot;lang_key&quot;, length = 6)
    private String langKey;

    @Size(max = 256)
    @Column(name = &quot;image_url&quot;, length = 256)
    private String imageUrl;

    @Size(max = 20)
    @Column(name = &quot;activation_key&quot;, length = 20)
    @JsonIgnore
    private String activationKey;

    @Size(max = 20)
    @Column(name = &quot;reset_key&quot;, length = 20)
    @JsonIgnore
    private String resetKey;

<span class="fc" id="L85">    @Column(name = &quot;reset_date&quot;)</span>
    private Instant resetDate = null;

<span class="fc" id="L88">    @JsonIgnore</span>
    @ManyToMany
    @JoinTable(
        name = &quot;jhi_user_authority&quot;,
        joinColumns = {@JoinColumn(name = &quot;user_id&quot;, referencedColumnName = &quot;id&quot;)},
        inverseJoinColumns = {@JoinColumn(name = &quot;authority_name&quot;, referencedColumnName = &quot;name&quot;)})
    @Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
    @BatchSize(size = 20)
    private Set&lt;Authority&gt; authorities = new HashSet&lt;&gt;();

    public Long getId() {
<span class="fc" id="L99">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L103">        this.id = id;</span>
<span class="fc" id="L104">    }</span>

    public String getLogin() {
<span class="fc" id="L107">        return login;</span>
    }

    // Lowercase the login before saving it in database
    public void setLogin(String login) {
<span class="fc" id="L112">        this.login = StringUtils.lowerCase(login, Locale.ENGLISH);</span>
<span class="fc" id="L113">    }</span>

    public String getPassword() {
<span class="fc" id="L116">        return password;</span>
    }

    public void setPassword(String password) {
<span class="fc" id="L120">        this.password = password;</span>
<span class="fc" id="L121">    }</span>

    public String getFirstName() {
<span class="fc" id="L124">        return firstName;</span>
    }

    public void setFirstName(String firstName) {
<span class="fc" id="L128">        this.firstName = firstName;</span>
<span class="fc" id="L129">    }</span>

    public String getLastName() {
<span class="fc" id="L132">        return lastName;</span>
    }

    public void setLastName(String lastName) {
<span class="fc" id="L136">        this.lastName = lastName;</span>
<span class="fc" id="L137">    }</span>

    public String getEmail() {
<span class="fc" id="L140">        return email;</span>
    }

    public void setEmail(String email) {
<span class="fc" id="L144">        this.email = email;</span>
<span class="fc" id="L145">    }</span>

    public String getImageUrl() {
<span class="fc" id="L148">        return imageUrl;</span>
    }

    public void setImageUrl(String imageUrl) {
<span class="fc" id="L152">        this.imageUrl = imageUrl;</span>
<span class="fc" id="L153">    }</span>

    public boolean getActivated() {
<span class="fc" id="L156">        return activated;</span>
    }

    public void setActivated(boolean activated) {
<span class="fc" id="L160">        this.activated = activated;</span>
<span class="fc" id="L161">    }</span>

    public String getActivationKey() {
<span class="fc" id="L164">        return activationKey;</span>
    }

    public void setActivationKey(String activationKey) {
<span class="fc" id="L168">        this.activationKey = activationKey;</span>
<span class="fc" id="L169">    }</span>

    public String getResetKey() {
<span class="fc" id="L172">        return resetKey;</span>
    }

    public void setResetKey(String resetKey) {
<span class="fc" id="L176">        this.resetKey = resetKey;</span>
<span class="fc" id="L177">    }</span>

    public Instant getResetDate() {
<span class="fc" id="L180">        return resetDate;</span>
    }

    public void setResetDate(Instant resetDate) {
<span class="fc" id="L184">        this.resetDate = resetDate;</span>
<span class="fc" id="L185">    }</span>

    public String getLangKey() {
<span class="fc" id="L188">        return langKey;</span>
    }

    public void setLangKey(String langKey) {
<span class="fc" id="L192">        this.langKey = langKey;</span>
<span class="fc" id="L193">    }</span>

    public Set&lt;Authority&gt; getAuthorities() {
<span class="fc" id="L196">        return authorities;</span>
    }

    public void setAuthorities(Set&lt;Authority&gt; authorities) {
<span class="fc" id="L200">        this.authorities = authorities;</span>
<span class="fc" id="L201">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L205" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L206">            return true;</span>
        }
<span class="fc bfc" id="L208" title="All 4 branches covered.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L209">            return false;</span>
        }

<span class="fc" id="L212">        User user = (User) o;</span>
<span class="fc bfc" id="L213" title="All 6 branches covered.">        return !(user.getId() == null || getId() == null) &amp;&amp; Objects.equals(getId(), user.getId());</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L218">        return Objects.hashCode(getId());</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L223">        return &quot;User{&quot; +</span>
            &quot;login='&quot; + login + '\'' +
            &quot;, firstName='&quot; + firstName + '\'' +
            &quot;, lastName='&quot; + lastName + '\'' +
            &quot;, email='&quot; + email + '\'' +
            &quot;, imageUrl='&quot; + imageUrl + '\'' +
            &quot;, activated='&quot; + activated + '\'' +
            &quot;, langKey='&quot; + langKey + '\'' +
            &quot;, activationKey='&quot; + activationKey + '\'' +
            &quot;}&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>